
import 'package:flutter/cupertino.dart';
import 'package:flutter_login/flutter_login.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';
import 'register.dart';
import 'welcome.dart';

// import 'dashboard_screen.dart';



void main() =>  runApp(MyApp());



class MyApp extends StatelessWidget{
  
  static const String title = "FastMed";

  @override
  Widget build(BuildContext context){
    final textTheme = Theme.of(context).textTheme;
    return MaterialApp(
      title: title,
      theme: ThemeData(
        textTheme: GoogleFonts.cabinTextTheme(textTheme),
        ),
      home: WelcomePage(),
    );
  }

}
