import 'package:flutter/material.dart';

class Home extends StatefulWidget{
  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home>{
  @override
  Widget build(BuildContext context){
    return Scaffold(
      appBar: AppBar(
        title: Text('Bienvenido'),
        centerTitle: true,
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.spaceEvenly,
          children: [
            new FlatButton(
              minWidth: 300.0,
              height: 100.0,
              onPressed: (){
                Navigator.pushNamed(context, '/verOficinas');
              },
              child: Text('Ver Oficinas',
                style: TextStyle(fontSize: 36),
              ),
              color: Colors.purple,

            ),
            new FlatButton(
              minWidth: 300.0,
              height: 100.0,
              onPressed: (){
                Navigator.pushNamed(context, '/calendario');
              },
              child: Text('Calendario',
                style: TextStyle(fontSize: 36),
              ),
              color: Colors.purple,

            ),
            new FlatButton(
              minWidth: 300.0,
              height: 100.0,
              onPressed: (){
                Navigator.pushNamed(context, '/register');
              },
              child: Text('register',
                style: TextStyle(fontSize: 36),
              ),
              color: Colors.purple,

            ),
            new FlatButton(
              minWidth: 300.0,
              height: 100.0,
              onPressed: (){
                Navigator.pushNamed(context, '/welcome');
              },
              child: Text('welcome',
                style: TextStyle(fontSize: 36),
              ),
              color: Colors.purple,

            ),
            new FlatButton(
              minWidth: 300.0,
              height: 100.0,
              onPressed: (){
                Navigator.pushNamed(context, '/MyApp');
              },
              child: Text('MyApp',
                style: TextStyle(fontSize: 36),
              ),
              color: Colors.purple,

            ),
            ],
        ),

      ),

    );
  }
}
